Name:             phodav
Version:          3.0
Release:          3 
Summary:          A WebDav server implementation using libsoup
License:          LGPLv2+
URL:              https://wiki.gnome.org/phodav
Source0:          http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

Patch0:           harden_spice-webdavd.service.patch

BuildRequires:    asciidoc xmlto gcc git-core meson gettext-devel gtk-doc pkgconfig systemd
BuildRequires:    pkgconfig(avahi-client)
BuildRequires:    pkgconfig(avahi-gobject)
BuildRequires:    pkgconfig(gio-unix-2.0) >= 2.44
BuildRequires:    pkgconfig(glib-2.0) >= 2.44
BuildRequires:    pkgconfig(libsoup-3.0)
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(systemd)
BuildRequires:    pkgconfig(udev)

%description
A WebDAV server implementation using libsoup (RFC 4918).

%package -n       libphodav
Summary:          A library to serve files with WebDAV

%description -n   libphodav
This package provides the library of WebDAV server.

%package -n       libphodav-devel
Summary:          Development files for libphodav
Requires:         libphodav = %{version}-%{release}

%description -n   libphodav-devel
The libphodav-devel package includes the header files for libphodav.

%package -n       chezdav
Summary:          A tool allows to share a particular directory

%description -n   chezdav
The chezdav package contains a simple tool allows to share a
particular directory (with optional digest authentication).
The service is announced over mDNS for clients to discover.

%package -n       spice-webdavd
Summary:          Spice daemon for the DAV channel
Requires:         avahi

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%autosetup -p1
sed -i 's/PrivateDevices=true/PrivateDevices=false/'  data/spice-webdavd.service
sed -i 's/ProtectClock=true/ProtectClock=false/'  data/spice-webdavd.service
%build
%meson -Davahi=enabled
%meson_build

%install
%meson_install
%delete_la_and_a

%find_lang phodav-3.0 --with-gnome
ln -sf %{_sbindir}/service %{buildroot}%{_sbindir}/rcspice-webdavd

%post -n libphodav
/sbin/ldconfig

%postun -n libphodav
/sbin/ldconfig

%post -n spice-webdavd
%systemd_post spice-webdavd.service

%preun -n spice-webdavd
%systemd_preun spice-webdavd.service

%postun -n spice-webdavd
%systemd_postun_with_restart spice-webdavd.service

%files -n libphodav -f phodav-3.0.lang
%doc COPYING
%{_libdir}/libphodav-3.0.so.0*

%files -n libphodav-devel
%dir %{_includedir}/libphodav-3.0/
%{_includedir}/libphodav-3.0/*
%{_libdir}/libphodav-3.0.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/phodav-3.0/*

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%doc COPYING
%{_sbindir}/spice-webdavd
%{_sbindir}/rcspice-webdavd
%{_udevrulesdir}/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service

%changelog
* Wed Mar 22 2023 haolei xuan <haolei.xuan@turbolinux.com.cn> - 3.0-3
- fix issue:I6IJWH

* Fri Mar 03 2023 zhuang li <zhuang.li@turbolinux.com.cn> - 3.0-2
- add  sed  3.0-2

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 3.0-1
- update to 3.0

* Wed Jun 30 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.5-1
- Upgrade to 2.5
- Use meson rebuild

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.2-8
- Completing build dependencies

* Tue Mar  9 2021 lingsheng <lingsheng@huawei.com> - 2.2-7
- Add require avahi for spice-webdavd

* Fri Feb 28 2020 likexin <likexin4@huawei.com> - 2.2-6
- Optimize spec files

* Fri Feb 28 2020 likexin <likexin4@huawei.com> - 2.2-5
- add BuildRequires avahi-gobject
 
* Fri Dec 13 2019 wanjiankang <wanjiankang@huawei.com> - 2.2-4
- Initial packaging.
